<?php
namespace Controllers;

use Zeedhi\Framework\DataSource\Manager;
use Zeedhi\Framework\DataSource\DataSet;
use Teknisa\GER\Utilities\Environment;
use Zeedhi\Framework\DataSource;
use Zeedhi\Framework\DTO;
use \Doctrine\ORM\EntityManager;
use Doctrine\DBAL\Connection;
use Zeedhi\Framework\DB\StoredProcedure\Param;
use Zeedhi\Framework\DB\StoredProcedure\StoredProcedure;

class ExclusaoMenuGridProcedures extends StoredProcedure {

	public function __construct(Connection $connection, $procedureName = 'EXCLUI_MENUGRID') {
		parent::__construct($connection, $procedureName);
	}

	public function deleteMenuGrid($cdfilial, $cdcia, $cdmancia, $nrorg) {

		$this->addParam(new Param('P_CDFILIAL', Param::PARAM_INPUT, $cdfilial));
		$this->addParam(new Param('P_CDCIA', 	Param::PARAM_INPUT, $cdcia));
		$this->addParam(new Param('P_CDMANCIA', Param::PARAM_INPUT, $cdmancia));
		$this->addParam(new Param('P_NRORG', 	Param::PARAM_INPUT, $nrorg));
	    
	    $this->execute();
		$this->params = array();
	}
}