<?php

namespace Services;

use \Doctrine\ORM\EntityManager;

class CompanhiaService{
	protected $entityManager;

	public function __construct(EntityManager $entityManager) {
		$this->entityManager = $entityManager;
	}

	public function getOldLogocia($cdcia, $nrorg){
		$params = array("cdcia" => $cdcia, "nrorg" => $nrorg);
		$conn = $this->entityManager->getConnection();
		$rows = $conn->fetchAll("SELECT FGLOGOCIA FROM COMPANHIA WHERE CDCIA = :cdcia AND NRORG = :nrorg", $params);
		return (isset($rows[0]) && isset($rows[0]['FGLOGOCIA'])) ? $rows[0]['FGLOGOCIA'] : null;
	}
}